### Name: reprocows
### Title: Reproductive data from seven dairy cows
### Aliases: reprocows
### Keywords: datasets

### ** Examples

data(reprocows)
data(reproai)
data(reproppa)
tm = 1600

J <- 3
init <- c(1,0,0)
trans <- matrix(c(0,0,0,1,0,1,0,1,0),nrow=J)
emis <- list(mu=c(0,2.5,0),sigma=c(1,1,1))

N <- as.numeric(table(reprocows$id))
train <- list(x=reprocows$activity,N=N)
class(train) <- "hsmm.data"
tmp <- gammafit(reproppa * 24)
M <- max(N)
d <- cbind(dgamma(1:M,shape=tmp$shape,scale=tmp$scale), #ppa sojourn directly estimated from ppa data set
            dunif(1:M,4,30),#oestrus between 4 and 30 hours
            dunif(1:M,15*24,40*24))#not-oestrus between 15 and 40 days

startval <- hsmmspec(init,trans,emis,list(d=d,type='gamma'),f=dnorm.hsmm)
h.activity <- hsmmfit(train,startval,mstep=mstep.norm,maxit=10,M=M,lock.transition=TRUE)
  



